Skip to main content

Update UDV NFS share details​

Update UDV NFS share details

Path Parameters
  • id int32 required

    Share ID for either a standalone UDV NFS share or an FS-subclient UDV NFS share

Request Body required
  • name string required

    Name of the UDV NFS share

  • planId int32

    Plan to associate with the standalone share subclient

  • allowedClientsType string required

    Possible values: [ALL, IP_ADDRESS, CIDR_BLOCK]

    Determines how allowedClientsList values are interpreted

  • allowedClientsList string[]

    IP addresses or CIDR blocks allowed to access the share. Empty if allowedClientsType='ALL'

Responses

UDV NFS standalone share details updated successfully


Schema
  • id int32

    ID of the UDV NFS share

  • name string

    Name of the UDV NFS share

  • subclientId int32

    Subclient associated with the UDV NFS share

  • planId int32

    Plan associated with the UDV NFS share

  • mediaAgents object[]

    Media Agents from the plan associated with the UDV NFS share that are to serve the UDV NFS share

  • id int32
  • name string
  • allowedClientsType string

    Possible values: [ALL, IP_ADDRESS, CIDR_BLOCK]

    Determines how allowedClientsList values are interpreted

  • allowedClientsList string[]

    IP addresses or CIDR blocks allowed to access the share. Empty if allowedClientsType='ALL'

Loading...